{
	"format_version": "1.20.60",
	"animation_controllers": {
		"controller.animation.shapescape.binoculars.view_central_park": {
			"states": {
				"default": {
					"transitions": [
						{
							"delay": "q.variant == 0 && q.has_rider"
						}
					]
				},
				"delay": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/central_park/fade_in", "v.view_central_park = q.life_time + 0.5;"],
					"transitions": [
						{
							"start": "(v.view_central_park < q.life_time)"
						}
					]
				},
				"start": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/central_park/start", "/execute as @p[r=0.1] run function binoculars/central_park/camera_start"],
					"transitions": [
						{
							"default": "!q.has_rider"
						}
					]
				}
			}
		},
		"controller.animation.shapescape.binoculars.view_times_square": {
			"states": {
				"default": {
					"transitions": [
						{
							"delay": "q.variant == 1 && q.has_rider"
						}
					]
				},
				"delay": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/times_square/fade_in", "v.view_times_square = q.life_time + 0.5;"],
					"transitions": [
						{
							"start": "(v.view_times_square < q.life_time)"
						}
					]
				},
				"start": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/times_square/start", "/execute as @p[r=0.1] run function binoculars/times_square/camera_start"],
					"transitions": [
						{
							"default": "!q.has_rider"
						}
					]
				}
			}
		},
		"controller.animation.shapescape.binoculars.view_park_avenue": {
			"states": {
				"default": {
					"transitions": [
						{
							"delay": "q.variant == 2 && q.has_rider"
						}
					]
				},
				"delay": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/park_avenue/fade_in", "v.view_park_avenue = q.life_time + 0.5;"],
					"transitions": [
						{
							"start": "(v.view_park_avenue < q.life_time)"
						}
					]
				},
				"start": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/park_avenue/start", "/execute as @p[r=0.1] run function binoculars/park_avenue/camera_start"],
					"transitions": [
						{
							"default": "!q.has_rider"
						}
					]
				}
			}
		},
		"controller.animation.shapescape.binoculars.view_plaza_hotel": {
			"states": {
				"default": {
					"transitions": [
						{
							"delay": "q.variant == 3 && q.has_rider"
						}
					]
				},
				"delay": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/plaza_hotel/fade_in", "v.view_plaza_hotel = q.life_time + 0.5;"],
					"transitions": [
						{
							"start": "(v.view_plaza_hotel < q.life_time)"
						}
					]
				},
				"start": {
					"on_entry": ["/execute as @p[r=0.1] run function binoculars/plaza_hotel/start", "/execute as @p[r=0.1] run function binoculars/plaza_hotel/camera_start"],
					"transitions": [
						{
							"default": "!q.has_rider"
						}
					]
				}
			}
		}
	}
}